2018-04-09 18:29:12 zfz495121426 阅读数 13123

     最近看到很多朋友在寻找iOS 11、12真机测试包,所以特意做了一个整理,希望可以帮到那些暂时没有升级Xcode至最新版本的同学们,

1.百度网盘链接: https://pan.baidu.com/s/1lnkF_G3UiD8u3b2N0TUSug 密码: h6q9

2.xcode真机调试包路径:点击finder,然后快捷键command + shift + G 前往文件夹路径 /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport 将更新包解压进去即可。

2019-04-23 14:26:41 qingyangzuijiao 阅读数 367

Xcode device support iOS 8.0-iOS 13. 3真机调试包下载链接:

百度云下载地址:
https://pan.baidu.com/s/19f97_g-gnOwiiQeRAeCHkg
提取密码:
密码:ox8i

使用方法:

将下载好的调试包解压,然后点击访达,快捷键command+shift+g前往文件夹:
/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport
把解压后的文件放入到该目录下,关闭Xcode,然后重新启动即可。

2016-04-11 20:48:51 mydo 阅读数 8232

大熊猫猪·侯佩原创或翻译作品.欢迎转载,转载请注明出处.
如果觉得写的不好请多提意见,如果觉得不错请多多支持点赞.谢谢! hopy ;)


本猫的mac系统为10.10,Xcode版本为7.2

本猫将iPhone6p系统升级成了9.3,但是支持iOS9.3的Xcode版本为7.3.

而Xcode7.3要求最小系统为10.11.

貌似一个死循环,貌似Xcode7.2不可以真机调试iOS9.3设备,本猫亲自尝试后貌似也是这样.

不过如果不想升级Xcode7.3,能不能真机调试iOS9.3设备呢?

也是可以的,你只需要按如下步骤操作即可:

  1. 从网上下载Xcode7.3.dmg
  2. 加载dmg,显示包中的文件,进入如下目录:/Volumes/Xcode/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport
  3. 将其中的9.3文件夹拷贝到Xcode7.2中的对应目录中去,你可能需要管理员权限以完成拷贝.
  4. 打开Xcode7.2,连接上真机选择编译,这个应该没啥问题.
  5. 当接着选择运行的时候会发现Xcode提示要等待索引处理完成才可以
  6. 这时不要以为失败了,你就等待索引处理结束喽…大约10分钟后,再次运行,你会发现你可以成功在iOS9.3设备上运行该App了
2018-01-09 00:59:25 gmr2453929471 阅读数 2401

最近微信跳一跳很火,然后有大神出了python替你玩版本,觉得很有趣,就想试试。

然后大神这个工具是基于测试框架WDA的,然后其中最基础最基础的一步,就是你的xcode能够运行真机测试。

我的xcode版本是7.2,然后iphone版本是11.2.1 (15c153)

我从网上下了一个11.2的15c107的真机测试包,然后按照很多很多博客说的,直接把这个放到 

/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport 这个目录下,如下图所示(图中是我的8.3.3版本哈~)。


然后我再进xcode,发现不行,识别不出来,如下图所示,那个Deployment Target没有我需要的11.2,最高只有xcode自带的那个9.2,并且手机也是unavailable状态。


然后我觉得是不是光放到DeviceSupport文件夹下不够,还需要修改一些诸如Info.plist,  version.plist这样的配置文件,于是我又打开文件,将有9.2的地方统统改成11.2,将有13C75的地方统统改成15C107,然后再重启Xcode,发现能识别iphone了,但是编译报错。。。。。


网上真的查了很多很多资料,但是没有什么是教你如何修改plist文件的。。。。


忙了两天,各种修改xcode配置文件,改到xcode都打不开,当时我就绝望了。。。。


没办法,想着重新安装个xcode版本吧。网上一搜,发现9.x不太好,有bug,于是选择了8.3.3版本。你懂的,下xcode真的超级超级蛋疼,好不容易下好了,一装发现,我的mac OS系统版本不够,因为我是Captain。。。。因为之前升级到Captain的时候,我的开发环境之类的就出了好多错,尤其是python、pip,不加sudo根本安装不了,于是我是那种能不更新就不更新的类型。


我又去网上搜了下,升级到Sierra报错的也有不少,我表示很方。。。。


但是我tm搞了两天了,什么结果都没有,不可能在这个节骨眼上放弃吧,于是没办法只能更新到Sierra。


更新好了,xcode8.3.3也装好了,但是我也不知道能不能成,忐忐忑忑一步步来吧。

我就把之前下的那个真机测试支持包11.2(15c107)直接放到DeviceSupport文件夹下,然后开启了xcode。


先去window->device下检查,嗯~发现能识别我的手机啊~~~


然后还是去看deployment target,还是没有11.2,最高的是10.3。

但是!!!

能在我的手机上跑!!!我的Deployment Target选的是10.3!!!


真的要感动哭了~



总结:

1. 虽然我是11.2.1 (15c153),但是15c107的支持包照样能跑。

2. 啥plist都不用改,直接放到DeviceSupport完事。

3. 还是得靠xcode8.3,我真的应该早点更新xcode,及时下载非常蛋疼。









2018-03-18 10:39:46 syshk 阅读数 719

给有需要的朋友.

Xcode调试路径:右键Finder ---> 前往文件夹 ---> 

/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport

将解压调试镜像拖拽进去,然后强制重启Xcode即可。


Xcode 11.2 (15C107) 真机调试:

https://download.csdn.net/download/syshk/10293261



没有更多推荐了,返回首页